using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace drugiZadatak
{
    class Program
    {
        static void RasporediGrupe(int[] grupe, int n, int pocetak, int kraj, ref long potrebneBombone)
        {
            int k = kraj - pocetak + 1;
            int d = n / k;
            for (int i = pocetak; i <= kraj; i++)
            {
                if (i != kraj)
                {
                    grupe[i] = d;

                    long temp = grupe[i] * (grupe[i] + 1);
                    potrebneBombone += temp;
                }
                else
                {
                    grupe[i] = n - (k - 1) * d;

                    long temp = grupe[i] * (grupe[i] + 1);
                    potrebneBombone += temp;
                }
            }
        }
        static void Main(string[] args)
        {
            int tc = int.Parse(Console.ReadLine());

            bool[] rezultat = new bool[tc];

            int t = 0;
            while(t < tc)
            {
                string[] s = Console.ReadLine().Split();
                int n = int.Parse(s[0]);
                int m = int.Parse(s[1]);
                int k = int.Parse(s[2]);

                int[] grupe = new int[k];
                
                int d = n / k;
                grupe[0] = d;

                int razlika = n - (k - 1) * d - d;

                long potrebneBombone = d * (d + 1) * k;
                if (razlika == 1) potrebneBombone = (d + 1) * (d * k + 2); 
                if (k != 1)
                {
                    if (razlika > 1)
                    {
                        int pocetak = k - razlika;
                        int tempN = razlika * (1 + d);
                        potrebneBombone = 0;

                        RasporediGrupe(grupe, n - tempN, 0, pocetak - 1, ref potrebneBombone);
                        RasporediGrupe(grupe, tempN, pocetak, k - 1, ref potrebneBombone);
                   }
                }

                potrebneBombone /= 2;

                if (potrebneBombone <= m)
                {
                    rezultat[t] = true;
                }
                else
                {
                    rezultat[t] = false;
                }

                t++;
            }

            for (int i = 0; i < tc; i++)
            {
                if (rezultat[i])
                {
                    Console.WriteLine("Tak");
                }
                else
                {
                    Console.WriteLine("Nie");
                }
            }
        }
    }
}